Obtenir les lancements d’un Bot Runner
Cette méthode renvoie la liste des lancements d’un Bot Runner donné. Vous pouvez filtrer les lancements par type, statut, heure de lancement et identifiants de Bot Runner. La liste renvoyée contient les 1000 derniers lancements.
Valeurs possibles de {region} : na, cis, apac, latam, emea
Get launches of a Bot Runner
This returns a list of launches for a specific Bot Runner. You can filter the launches by type, status, launch time, and Bot Runner IDs. The output list contains the last 1000 launches.
Essayer
curl --request GET \
--url 'https://api.na.electroneek.com/v1/orchestrator/bot-runner/{id}/launches'Authentification
Utilisez un token API de la page Orchestrateur → Intégrations. Envoyez-le comme jeton bearer : Authorization: Bearer <token>.
Paramètres de chemin
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
id | string | oui | Bot Runner ID |
Paramètres de requête
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
type | string (manual, webhook, schedule, zapier, api) | non | |
status | string (stopped, in-queue, cancelled, forced-stop, in-progress, completed-with-error, completed-successfully) | non | |
started_from | date-time | non | |
started_to | date-time | non | |
completed_from | date-time | non | |
completed_to | date-time | non | |
workflow_ids | array of string | non |
Réponse
listarray of objectsiduuidobligatoiretypestring (manual, webhook, schedule, zapier, api)obligatoirestatusstring (in-progress, completed-successfully, completed-with-error)obligatoirestarted_atdate-timeobligatoireoutput_dataobjectThis returns all the Global Variables that were selected as Output while building the workflow in Studio Pro.
completed_atdate-timeobligatoirelogs_enabledbooleanobligatoireconsole_logs_enabledbooleanobligatoireWhether console logs were collected for this launch.
account_emailstringobligatoireworkflow_idstring